Name:           libkdtree++
Version:        0.7.1
Release:        %mkrel 8
Summary:        C++ template container implementation of kd-tree sorting
URL:            http://libkdtree.alioth.debian.org/
License:        Artistic
Group:          System/Libraries
BuildRequires:  gcc-c++
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig(python3)
BuildRequires:  swig

Source0:        https://deb.debian.org/debian/pool/main/libk/libkdtree++/libkdtree++_%{version}+git20101123.orig.tar.xz#/libkdtree++-%{version}.tar.bz2

# Patches from Debian
Patch0:         close-file-handles.patch
Patch1:         fix-python3-incompatibilities.patch
Patch2:         enable-tests.patch
Patch3:         fix-headers-install-location.patch
Patch4:         rename-py-kdtree_test.py.patch
Patch5:         add-setup.py.patch
Patch6:         use-setup.py-in-cmake.patch
Patch7:         disable-improper-test.patch
Patch8:         gcc-5.patch
#Patch from Fedora
Patch9:         libkdtree++-0.7.0-pkgconfig.patch

%description
%{summary}.


%package devel
Summary:        C++ template container implementation of kd-tree sorting
Group:          System/Libraries
Provides:       libkdtree++-static = %{version}
BuildArch:      noarch

%description devel
%{summary}.


%package -n python3-libkdtree++
Summary:        Python 3 language bindings for libkdtree++
Group:          Development/Python
%{?python_provide:%python_provide python3-libkdtree++}

Obsoletes:      python2-libkdtree++ < 0.7.1-2

%description -n python3-libkdtree++
%{summary}.

%package examples
Summary:        Examples for libkdtree++
Group:          System/Libraries
Requires:       libkdtree++-devel = %{version}
BuildArch:      noarch

%description examples
%{summary}.

%prep
%autosetup -p1 -n %{name}

# convert files from ISO-8859-1 to UTF-8 encoding
for f in README
do
  iconv -fiso88591 -tutf8 $f >$f.new
  touch -r $f $f.new
  mv $f.new $f
done

%build
autoreconf -vfi
%configure
%__make

pushd python-bindings
%__make CPPFLAGS="%{optflags} -fPIC `pkg-config --cflags python3`"
popd

%check
pushd examples
%make_build CPPFLAGS="%{optflags}"
./test_kdtree
./test_hayne
popd

pushd python-bindings
%{__python3} py_kdtree_test.py
popd

%install
make install DESTDIR=%{buildroot}
install -d %{buildroot}%{python3_sitearch}
install -pm 0755 python-bindings/_kdtree.so %{buildroot}%{python3_sitearch}/
install -d %{buildroot}%{python3_sitelib}
install -pm 0644 python-bindings/kdtree.py %{buildroot}%{python3_sitelib}/

%files devel
%doc COPYING AUTHORS README NEWS TODO ChangeLog
%{_includedir}/kdtree++/
%{_datadir}/pkgconfig/*.pc

%files -n python3-libkdtree++
%doc COPYING AUTHORS README NEWS TODO ChangeLog
%{python3_sitearch}/_kdtree.so
%{python3_sitelib}/kdtree.py
%{python3_sitelib}/__pycache__/*

%files examples
%doc examples/CMakeLists.txt
%doc examples/Makefile
%doc examples/test*.cpp



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.7.1-8.mga10
+ Revision: 2242671
- Mageia 10 Mass Rebuild

* Tue Mar 04 2025 wally <wally> 0.7.1-7.mga10
+ Revision: 2160325
- rebuild for python3.13

* Sun Feb 11 2024 daviddavid <daviddavid> 0.7.1-6.mga10
+ Revision: 2040289
- rebuild for py3.12

* Sat Mar 26 2022 umeabot <umeabot> 0.7.1-5.mga9
+ Revision: 1827826
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 0.7.1-4.mga9
+ Revision: 1787147
- rebuild for python-3.10

* Wed Apr 21 2021 daviddavid <daviddavid> 0.7.1-3.mga9
+ Revision: 1717699
- rebuild for python 3.9

* Sun Feb 23 2020 daviddavid <daviddavid> 0.7.1-2.mga8
+ Revision: 1549684
- port to python3
- drop python2 support
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Jan 05 2019 kekepower <kekepower> 0.7.1-1.mga7
+ Revision: 1349920
- imported package libkdtree++

